# ******** AUTOGENERATED by mktargets.py ********************
./01-flickr/FlickrRIA.swf: \
            01-flickr/FlickrThumbnail.mxml \
            01-flickr/FlickrRIA.mxml
	$(MXMLC) 01-flickr/FlickrRIA.mxml \
	$(MXMLC_FLAGS) \
	-l+=01-flickr \
	-l+=01-flickr \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=01-flickr \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 01-flickr/FlickrRIA.swf


./01-flickr/FlickrThumbnail.swf: \
            01-flickr/FlickrThumbnail.mxml \
            01-flickr/FlickrRIA.mxml
	$(MXMLC) 01-flickr/FlickrThumbnail.mxml \
	$(MXMLC_FLAGS) \
	-l+=01-flickr \
	-l+=01-flickr \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=01-flickr \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 01-flickr/FlickrThumbnail.swf


./02-shipping/PlainText.swf: \
            02-shipping/PlainText.mxml
	$(MXMLC) 02-shipping/PlainText.mxml \
	$(MXMLC_FLAGS) \
	-l+=02-shipping \
	-l+=02-shipping \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=02-shipping \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 02-shipping/PlainText.swf


./03a1-binding-and-modeling/YahooWeather.swf: \
            03a1-binding-and-modeling/YahooWeather.mxml
	$(MXMLC) 03a1-binding-and-modeling/YahooWeather.mxml \
	$(MXMLC_FLAGS) \
	-l+=03a1-binding-and-modeling \
	-l+=03a1-binding-and-modeling \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03a1-binding-and-modeling \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03a1-binding-and-modeling/YahooWeather.swf


./03a2-crud-dynamic/CRUDDynamic.swf: \
            03a2-crud-dynamic/CRUDDynamic.mxml \
            03a2-crud-dynamic/dyn-employees.as
	$(MXMLC) 03a2-crud-dynamic/CRUDDynamic.mxml \
	$(MXMLC_FLAGS) \
	-l+=03a2-crud-dynamic \
	-l+=03a2-crud-dynamic \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03a2-crud-dynamic \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03a2-crud-dynamic/CRUDDynamic.swf


./03a3-crud-static/CRUDStatic.swf: \
            03a3-crud-static/CRUDStatic.mxml \
            03a3-crud-static/static-employees.as
	$(MXMLC) 03a3-crud-static/CRUDStatic.mxml \
	$(MXMLC_FLAGS) \
	-l+=03a3-crud-static \
	-l+=03a3-crud-static \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03a3-crud-static \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03a3-crud-static/CRUDStatic.swf


./03a4-external-interface/Main.swf: \
            03a4-external-interface/Main.mxml
	$(MXMLC) 03a4-external-interface/Main.mxml \
	$(MXMLC_FLAGS) \
	-l+=03a4-external-interface \
	-l+=03a4-external-interface \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03a4-external-interface \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03a4-external-interface/Main.swf


./03a5-local-connections/BasicTaskReceiver.swf: \
            03a5-local-connections/BasicTaskReceiver.mxml \
            03a5-local-connections/TaskSender.mxml
	$(MXMLC) 03a5-local-connections/BasicTaskReceiver.mxml \
	$(MXMLC_FLAGS) \
	-l+=03a5-local-connections \
	-l+=03a5-local-connections \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03a5-local-connections \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03a5-local-connections/BasicTaskReceiver.swf


./03a5-local-connections/TaskSender.swf: \
            03a5-local-connections/BasicTaskReceiver.mxml \
            03a5-local-connections/TaskSender.mxml
	$(MXMLC) 03a5-local-connections/TaskSender.mxml \
	$(MXMLC_FLAGS) \
	-l+=03a5-local-connections \
	-l+=03a5-local-connections \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03a5-local-connections \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03a5-local-connections/TaskSender.swf


./03a6-shared-objects/SharedObjectExample.swf: \
            03a6-shared-objects/SharedObjectExample.mxml
	$(MXMLC) 03a6-shared-objects/SharedObjectExample.mxml \
	$(MXMLC_FLAGS) \
	-l+=03a6-shared-objects \
	-l+=03a6-shared-objects \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03a6-shared-objects \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03a6-shared-objects/SharedObjectExample.swf


./03a7-validation-and-formatting/ValidatorsandFormattersExampleWithAreaCodeLookup.swf: \
            03a7-validation-and-formatting/ValidatorsandFormattersExampleWithAreaCodeLookup.mxml
	$(MXMLC) 03a7-validation-and-formatting/ValidatorsandFormattersExampleWithAreaCodeLookup.mxml \
	$(MXMLC_FLAGS) \
	-l+=03a7-validation-and-formatting \
	-l+=03a7-validation-and-formatting \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03a7-validation-and-formatting \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03a7-validation-and-formatting/ValidatorsandFormattersExampleWithAreaCodeLookup.swf


./03b-handling-events/TwitterTimeline.swf: \
            03b-handling-events/TwitterTimeline.mxml
	$(MXMLC) 03b-handling-events/TwitterTimeline.mxml \
	$(MXMLC_FLAGS) \
	-l+=03b-handling-events \
	-l+=03b-handling-events \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03b-handling-events \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03b-handling-events/TwitterTimeline.swf


./03b1-event-listeners/VBoxDemo.swf: \
            03b1-event-listeners/VBoxDemo.mxml
	$(MXMLC) 03b1-event-listeners/VBoxDemo.mxml \
	$(MXMLC_FLAGS) \
	-l+=03b1-event-listeners \
	-l+=03b1-event-listeners \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03b1-event-listeners \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03b1-event-listeners/VBoxDemo.swf


./03b2-event-propagation/DemoApplication.swf: \
            03b2-event-propagation/DemoApplication.mxml
	$(MXMLC) 03b2-event-propagation/DemoApplication.mxml \
	$(MXMLC_FLAGS) \
	-l+=03b2-event-propagation \
	-l+=03b2-event-propagation \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03b2-event-propagation \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03b2-event-propagation/DemoApplication.swf


./03b3-simple-ui-event/Example1.swf: \
            03b3-simple-ui-event/Example1.mxml \
            03b3-simple-ui-event/Example2.mxml
	$(MXMLC) 03b3-simple-ui-event/Example1.mxml \
	$(MXMLC_FLAGS) \
	-l+=03b3-simple-ui-event \
	-l+=03b3-simple-ui-event \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03b3-simple-ui-event \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03b3-simple-ui-event/Example1.swf


./03b3-simple-ui-event/Example2.swf: \
            03b3-simple-ui-event/Example1.mxml \
            03b3-simple-ui-event/Example2.mxml
	$(MXMLC) 03b3-simple-ui-event/Example2.mxml \
	$(MXMLC_FLAGS) \
	-l+=03b3-simple-ui-event \
	-l+=03b3-simple-ui-event \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03b3-simple-ui-event \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03b3-simple-ui-event/Example2.swf


./03c1-application-container/Demo.swf: \
            03c1-application-container/Demo.mxml
	$(MXMLC) 03c1-application-container/Demo.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c1-application-container \
	-l+=03c1-application-container \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c1-application-container \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c1-application-container/Demo.swf


./03c2-box-model/HBoxExample.swf: \
            03c2-box-model/VBoxExample.mxml \
            03c2-box-model/VBoxHBoxCombo.mxml \
            03c2-box-model/HBoxExample.mxml
	$(MXMLC) 03c2-box-model/HBoxExample.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c2-box-model \
	-l+=03c2-box-model \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c2-box-model \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c2-box-model/HBoxExample.swf


./03c2-box-model/VBoxExample.swf: \
            03c2-box-model/VBoxExample.mxml \
            03c2-box-model/VBoxHBoxCombo.mxml \
            03c2-box-model/HBoxExample.mxml
	$(MXMLC) 03c2-box-model/VBoxExample.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c2-box-model \
	-l+=03c2-box-model \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c2-box-model \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c2-box-model/VBoxExample.swf


./03c2-box-model/VBoxHBoxCombo.swf: \
            03c2-box-model/VBoxExample.mxml \
            03c2-box-model/VBoxHBoxCombo.mxml \
            03c2-box-model/HBoxExample.mxml
	$(MXMLC) 03c2-box-model/VBoxHBoxCombo.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c2-box-model \
	-l+=03c2-box-model \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c2-box-model \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c2-box-model/VBoxHBoxCombo.swf


./03c3-canvas-absolute/Example.swf: \
            03c3-canvas-absolute/Example.mxml
	$(MXMLC) 03c3-canvas-absolute/Example.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c3-canvas-absolute \
	-l+=03c3-canvas-absolute \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c3-canvas-absolute \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c3-canvas-absolute/Example.swf


./03c4-canvas-relative/Photo.swf: \
            03c4-canvas-relative/Photo.mxml
	$(MXMLC) 03c4-canvas-relative/Photo.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c4-canvas-relative \
	-l+=03c4-canvas-relative \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c4-canvas-relative \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c4-canvas-relative/Photo.swf


./03c5-combined-layout/Combined.swf: \
            03c5-combined-layout/Combined.mxml
	$(MXMLC) 03c5-combined-layout/Combined.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c5-combined-layout \
	-l+=03c5-combined-layout \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c5-combined-layout \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c5-combined-layout/Combined.swf


./03c6-form/CommentForm.swf: \
            03c6-form/CommentForm.mxml
	$(MXMLC) 03c6-form/CommentForm.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c6-form \
	-l+=03c6-form \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c6-form \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c6-form/CommentForm.swf


./03c7-mxml-vs-as3/WithAs3.swf: \
            03c7-mxml-vs-as3/WithAs3.mxml \
            03c7-mxml-vs-as3/WithMxml.mxml
	$(MXMLC) 03c7-mxml-vs-as3/WithAs3.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c7-mxml-vs-as3 \
	-l+=03c7-mxml-vs-as3 \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c7-mxml-vs-as3 \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c7-mxml-vs-as3/WithAs3.swf


./03c7-mxml-vs-as3/WithMxml.swf: \
            03c7-mxml-vs-as3/WithMxml.mxml \
            03c7-mxml-vs-as3/WithAs3.mxml
	$(MXMLC) 03c7-mxml-vs-as3/WithMxml.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c7-mxml-vs-as3 \
	-l+=03c7-mxml-vs-as3 \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c7-mxml-vs-as3 \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c7-mxml-vs-as3/WithMxml.swf


./03c8-panel/Photo.swf: \
            03c8-panel/Photo.mxml
	$(MXMLC) 03c8-panel/Photo.mxml \
	$(MXMLC_FLAGS) \
	-l+=03c8-panel \
	-l+=03c8-panel \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03c8-panel \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03c8-panel/Photo.swf


./03d1-datagrid/DataGridExample.swf: \
            03d1-datagrid/DataGridExample.mxml \
            03d1-datagrid/RequestParams.as \
            03d1-datagrid/DataGridApp.as
	$(MXMLC) 03d1-datagrid/DataGridExample.mxml \
	$(MXMLC_FLAGS) \
	-l+=03d1-datagrid \
	-l+=03d1-datagrid \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03d1-datagrid \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03d1-datagrid/DataGridExample.swf


./03d2-item-renderers/HBoxWeatherDisplay.swf: \
            03d2-item-renderers/HBoxWeatherDisplay.mxml \
            03d2-item-renderers/WeatherDisplay.mxml
	$(MXMLC) 03d2-item-renderers/HBoxWeatherDisplay.mxml \
	$(MXMLC_FLAGS) \
	-l+=03d2-item-renderers \
	-l+=03d2-item-renderers \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03d2-item-renderers \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03d2-item-renderers/HBoxWeatherDisplay.swf


./03d2-item-renderers/WeatherDisplay.swf: \
            03d2-item-renderers/HBoxWeatherDisplay.mxml \
            03d2-item-renderers/WeatherDisplay.mxml
	$(MXMLC) 03d2-item-renderers/WeatherDisplay.mxml \
	$(MXMLC_FLAGS) \
	-l+=03d2-item-renderers \
	-l+=03d2-item-renderers \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03d2-item-renderers \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03d2-item-renderers/WeatherDisplay.swf


./03d3-lists/HorizontalListControl.swf: \
            03d3-lists/ListControl.mxml \
            03d3-lists/HorizontalListControl.mxml
	$(MXMLC) 03d3-lists/HorizontalListControl.mxml \
	$(MXMLC_FLAGS) \
	-l+=03d3-lists \
	-l+=03d3-lists \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03d3-lists \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03d3-lists/HorizontalListControl.swf


./03d3-lists/ListControl.swf: \
            03d3-lists/ListControl.mxml \
            03d3-lists/HorizontalListControl.mxml
	$(MXMLC) 03d3-lists/ListControl.mxml \
	$(MXMLC_FLAGS) \
	-l+=03d3-lists \
	-l+=03d3-lists \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03d3-lists \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03d3-lists/ListControl.swf


./03d4-tilelist/TileListExample.swf: \
            03d4-tilelist/TileListExample.mxml
	$(MXMLC) 03d4-tilelist/TileListExample.mxml \
	$(MXMLC_FLAGS) \
	-l+=03d4-tilelist \
	-l+=03d4-tilelist \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03d4-tilelist \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03d4-tilelist/TileListExample.swf


./03e1-accordion/Recipe.swf: \
            03e1-accordion/Recipe.mxml
	$(MXMLC) 03e1-accordion/Recipe.mxml \
	$(MXMLC_FLAGS) \
	-l+=03e1-accordion \
	-l+=03e1-accordion \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03e1-accordion \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03e1-accordion/Recipe.swf


./03e2-tabbar-linkbar/LinkBar.swf: \
            03e2-tabbar-linkbar/LinkBar.mxml \
            03e2-tabbar-linkbar/TabBarDemo.mxml
	$(MXMLC) 03e2-tabbar-linkbar/LinkBar.mxml \
	$(MXMLC_FLAGS) \
	-l+=03e2-tabbar-linkbar \
	-l+=03e2-tabbar-linkbar \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03e2-tabbar-linkbar \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03e2-tabbar-linkbar/LinkBar.swf


./03e2-tabbar-linkbar/TabBarDemo.swf: \
            03e2-tabbar-linkbar/LinkBar.mxml \
            03e2-tabbar-linkbar/TabBarDemo.mxml
	$(MXMLC) 03e2-tabbar-linkbar/TabBarDemo.mxml \
	$(MXMLC_FLAGS) \
	-l+=03e2-tabbar-linkbar \
	-l+=03e2-tabbar-linkbar \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03e2-tabbar-linkbar \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03e2-tabbar-linkbar/TabBarDemo.swf


./03e3-tabnavigator/Shopping.swf: \
            03e3-tabnavigator/Shopping.mxml
	$(MXMLC) 03e3-tabnavigator/Shopping.mxml \
	$(MXMLC_FLAGS) \
	-l+=03e3-tabnavigator \
	-l+=03e3-tabnavigator \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03e3-tabnavigator \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03e3-tabnavigator/Shopping.swf


./03e4-viewstack/ViewStackDemo.swf: \
            03e4-viewstack/ViewStackDemo.mxml
	$(MXMLC) 03e4-viewstack/ViewStackDemo.mxml \
	$(MXMLC_FLAGS) \
	-l+=03e4-viewstack \
	-l+=03e4-viewstack \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03e4-viewstack \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03e4-viewstack/ViewStackDemo.swf


./03f1-custom-components/MainForm.swf: \
            03f1-custom-components/MainForm.mxml \
            03f1-custom-components/com/mycustom/components/TextInputEmail.as
	$(MXMLC) 03f1-custom-components/MainForm.mxml \
	$(MXMLC_FLAGS) \
	-l+=03f1-custom-components \
	-l+=03f1-custom-components \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03f1-custom-components \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03f1-custom-components/MainForm.swf


./03f2-code-behind/CodeBehindDisplay.swf: \
            03f2-code-behind/CodeBehindDisplay.mxml \
            03f2-code-behind/CodeExample.mxml \
            03f2-code-behind/as_components/ComboBoxCodeBehind.as
	$(MXMLC) 03f2-code-behind/CodeBehindDisplay.mxml \
	$(MXMLC_FLAGS) \
	-l+=03f2-code-behind \
	-l+=03f2-code-behind \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03f2-code-behind \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03f2-code-behind/CodeBehindDisplay.swf


./03f2-code-behind/CodeExample.swf: \
            03f2-code-behind/CodeBehindDisplay.mxml \
            03f2-code-behind/CodeExample.mxml \
            03f2-code-behind/as_components/ComboBoxCodeBehind.as
	$(MXMLC) 03f2-code-behind/CodeExample.mxml \
	$(MXMLC_FLAGS) \
	-l+=03f2-code-behind \
	-l+=03f2-code-behind \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03f2-code-behind \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03f2-code-behind/CodeExample.swf


./03f3-composite-component/ComponentForm.swf: \
            03f3-composite-component/components/ComboBoxDateEntry.mxml \
            03f3-composite-component/ComponentForm.mxml \
            03f3-composite-component/components/ComboBoxMonths.mxml
	$(MXMLC) 03f3-composite-component/ComponentForm.mxml \
	$(MXMLC_FLAGS) \
	-l+=03f3-composite-component \
	-l+=03f3-composite-component \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03f3-composite-component \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03f3-composite-component/ComponentForm.swf


./03f4-multiple-composite-components/Main.swf: \
            03f4-multiple-composite-components/Main.mxml \
            03f4-multiple-composite-components/components/ComboBoxDateEntry.mxml \
            03f4-multiple-composite-components/components/ComboBoxMonths.as
	$(MXMLC) 03f4-multiple-composite-components/Main.mxml \
	$(MXMLC_FLAGS) \
	-l+=03f4-multiple-composite-components \
	-l+=03f4-multiple-composite-components \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03f4-multiple-composite-components \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03f4-multiple-composite-components/Main.swf


./03f5-mxml/MainForm.swf: \
            03f5-mxml/MainForm.mxml \
            03f5-mxml/components/ComboBoxMonths.mxml
	$(MXMLC) 03f5-mxml/MainForm.mxml \
	$(MXMLC_FLAGS) \
	-l+=03f5-mxml \
	-l+=03f5-mxml \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03f5-mxml \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03f5-mxml/MainForm.swf


./03g1-debugging/Debugging.swf: \
            03g1-debugging/Debugging.mxml
	$(MXMLC) 03g1-debugging/Debugging.mxml \
	$(MXMLC_FLAGS) \
	-l+=03g1-debugging \
	-l+=03g1-debugging \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=03g1-debugging \
	-sp+=$(HOME)/.local/share/flexunit \
	-o 03g1-debugging/Debugging.swf


./custom-03d1-datagrid/Snarf.swf: \
            custom-03d1-datagrid/Snarf.mxml \
            custom-03d1-datagrid/CustomApp.as
	$(MXMLC) custom-03d1-datagrid/Snarf.mxml \
	$(MXMLC_FLAGS) \
	-l+=custom-03d1-datagrid \
	-l+=custom-03d1-datagrid \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=custom-03d1-datagrid \
	-sp+=$(HOME)/.local/share/flexunit \
	-o custom-03d1-datagrid/Snarf.swf


./custom-03d2-item-renderers/HBoxWeatherDisplay.swf: \
            custom-03d2-item-renderers/HBoxWeatherDisplay.mxml \
            custom-03d2-item-renderers/WeatherDisplay.mxml \
            custom-03d2-item-renderers/WeatherApp.as
	$(MXMLC) custom-03d2-item-renderers/HBoxWeatherDisplay.mxml \
	$(MXMLC_FLAGS) \
	-l+=custom-03d2-item-renderers \
	-l+=custom-03d2-item-renderers \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=custom-03d2-item-renderers \
	-sp+=$(HOME)/.local/share/flexunit \
	-o custom-03d2-item-renderers/HBoxWeatherDisplay.swf


./custom-03d2-item-renderers/WeatherDisplay.swf: \
            custom-03d2-item-renderers/HBoxWeatherDisplay.mxml \
            custom-03d2-item-renderers/WeatherDisplay.mxml \
            custom-03d2-item-renderers/WeatherApp.as
	$(MXMLC) custom-03d2-item-renderers/WeatherDisplay.mxml \
	$(MXMLC_FLAGS) \
	-l+=custom-03d2-item-renderers \
	-l+=custom-03d2-item-renderers \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=custom-03d2-item-renderers \
	-sp+=$(HOME)/.local/share/flexunit \
	-o custom-03d2-item-renderers/WeatherDisplay.swf


./custom-03d3-lists/ListControl.swf: \
            custom-03d3-lists/ListControl.mxml \
            custom-03d3-lists/listapp.css \
            custom-03d3-lists/ListApp.as
	$(MXMLC) custom-03d3-lists/ListControl.mxml \
	$(MXMLC_FLAGS) \
	-l+=custom-03d3-lists \
	-l+=custom-03d3-lists \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=custom-03d3-lists \
	-sp+=$(HOME)/.local/share/flexunit \
	-o custom-03d3-lists/ListControl.swf


./custom-03d4-tilelist/TileListExample.swf: \
            custom-03d4-tilelist/TileListExample.mxml \
            custom-03d4-tilelist/tilelist.css \
            custom-03d4-tilelist/TileListApp.as
	$(MXMLC) custom-03d4-tilelist/TileListExample.mxml \
	$(MXMLC_FLAGS) \
	-l+=custom-03d4-tilelist \
	-l+=custom-03d4-tilelist \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=custom-03d4-tilelist \
	-sp+=$(HOME)/.local/share/flexunit \
	-o custom-03d4-tilelist/TileListExample.swf


./custom-03g1-debugging/Debugging.swf: \
            custom-03g1-debugging/Debugging.mxml \
            custom-03g1-debugging/me/DebuggingApp.as \
            custom-03g1-debugging/me/tests/cases/TestCase01.as
	$(MXMLC) custom-03g1-debugging/Debugging.mxml \
	$(MXMLC_FLAGS) \
	-l+=custom-03g1-debugging \
	-l+=custom-03g1-debugging \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=custom-03g1-debugging \
	-sp+=$(HOME)/.local/share/flexunit \
	-o custom-03g1-debugging/Debugging.swf


./custom-03g1-debugging/me/tests/TestSuite.swf: \
            custom-03g1-debugging/me/tests/TestSuite.as
	$(MXMLC) custom-03g1-debugging/me/tests/TestSuite.as \
	$(MXMLC_FLAGS) \
	-l+=custom-03g1-debugging/me/tests \
	-l+=custom-03g1-debugging \
	-l+=$(HOME)/.local/share/flexunit \
	-sp+=custom-03g1-debugging \
	-sp+=$(HOME)/.local/share/flexunit \
	-o custom-03g1-debugging/me/tests/TestSuite.swf


